http://quicksight.{region}.amazonaws.com/accounts/{AwsAccountId}/search/foldersSearches the subfolders in a folder.
The ID for the Amazon Web Services account that contains the folder.
The filters to apply to the search. Currently, you can search only by the parent folder ARN. For example, <code>"Filters": [ { "Name": "PARENT_FOLDER_ARN", "Operator": "StringEquals", "Value": "arn:aws:quicksight:us-east-1:1:folder/folderId" } ]</code>.
The token for the next set of results, or null if there are no more results.
The maximum number of results to be returned per request.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://quicksight.{region}.amazonaws.com/accounts/{AwsAccountId}/search/folders' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://quicksight.{region}.amazonaws.com/accounts/{AwsAccountId}/search/foldersSearches the subfolders in a folder.
The ID for the Amazon Web Services account that contains the folder.
The filters to apply to the search. Currently, you can search only by the parent folder ARN. For example, <code>"Filters": [ { "Name": "PARENT_FOLDER_ARN", "Operator": "StringEquals", "Value": "arn:aws:quicksight:us-east-1:1:folder/folderId" } ]</code>.
The token for the next set of results, or null if there are no more results.
The maximum number of results to be returned per request.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://quicksight.{region}.amazonaws.com/accounts/{AwsAccountId}/search/folders' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}